Results 1 to 5 of 5

Thread: packages

  1. #1
    Detachable is offline Starter Member
    Join Date
    Nov 2005
    Posts
    1
    Rep Power
    9

    Default packages

    I'm running a custom version (provided by rackspace) of Ent. RedHat AS, and it seems that I'm getting all kind of trouble related to the libidn package. I tried to install the tar, but the install never recognized it so I triedthe rpm but had to ignore the dependencies. This wasnt a good idea, because aparently I needed glibc for libidn, so I tried to install that, but it needed glibc-common, but it didnt like the version of tzdata or of glibc and tzdata didn't like something else, etc.

    Starting the server it obviouly requires this because I get:

    perl /opt/zimbra/bin/zmmon &

    Can't load '/opt/zimbra/zimbramon/lib/i386-linux-thread-multi//auto/DBI/DBI.so' for module DBI: /lib/i686/libc.so.6: version `GLIBC_2.3' not found (required by /opt/zimbra/zimbramon/lib/i386-linux-thread-multi//auto/DBI/DBI.so) at /usr/lib/perl5/5.6.1/i386-linux/DynaLoader.pm line 206.
    at /opt/zimbra/zimbramon/lib/i386-linux-thread-multi//DBI.pm line 254
    BEGIN failed--compilation aborted at /opt/zimbra/zimbramon/lib/i386-linux-thread-multi//DBI.pm line 254.
    Compilation failed in require at /opt/zimbra/zimbramon/lib/Zimbra/Mon/Admin.pm line 37.
    BEGIN failed--compilation aborted at /opt/zimbra/zimbramon/lib/Zimbra/Mon/Admin.pm line 37.
    Compilation failed in require at /opt/zimbra/zimbramon/lib/Zimbra/Mon/StatusMon.pm line 35.
    BEGIN failed--compilation aborted at /opt/zimbra/zimbramon/lib/Zimbra/Mon/StatusMon.pm line 35.
    Compilation failed in require at /opt/zimbra/bin/zmmon line 41.
    BEGIN failed--compilation aborted at /opt/zimbra/bin/zmmon line 41.
    Soap call failed: 500 Can't connect to localhost:7777 (Timeout) at /opt/zimbra/bin/zmcontrol line 230


    What can I do to get those packages installed right. none of them agree with the other one?

    FYI- Also, I think it would be a very important point in the installation docs to wanr the users that it will redo their iptables. I was panicing because all my sites just stopped working even after I was nice enough to warn any possible visitors that we'd be down for maintenance, but if you block of port 80 from apache, nothing will be displayed eh.


    Plz Help, I'm so excited to see this thing work! I think it will blow the doors off of anything comparable (if there is anything comparable in the OS world).

  2. #2
    agnOstos is offline Loyal Member
    Join Date
    Oct 2005
    Posts
    96
    Rep Power
    9

    Default

    If you really want to see it work just install FC3 real quick on a box. I don't really want to play the dependency chasing game. Obviously if it's a custom version of RH then it's not going to be an easy install.

  3. #3
    KevinH's Avatar
    KevinH is offline Expert Member
    Join Date
    Aug 2005
    Location
    San Mateo, CA
    Posts
    4,789
    Rep Power
    18

    Default

    Quote Originally Posted by Detachable
    I'm running a custom version (provided by rackspace) of Ent. RedHat AS, and it seems that I'm getting all kind of trouble related to the libidn package.
    We are running our demo at rackspace on Red Hat EL4. This is the only supported option. Trying to get this to work on an older or different version will cause you pain. It may be possible but it will require some major hacking. So you should upgrade to a supported OS (Fedora Core 3 or Red Hat EL4) if you want to get going fast and easy.

  4. #4
    jhiggins is offline Starter Member
    Join Date
    Apr 2006
    Posts
    1
    Rep Power
    9

    Default

    Quote Originally Posted by KevinH
    We are running our demo at rackspace on Red Hat EL4. This is the only supported option. Trying to get this to work on an older or different version will cause you pain. It may be possible but it will require some major hacking. So you should upgrade to a supported OS (Fedora Core 3 or Red Hat EL4) if you want to get going fast and easy.
    KevinH,
    I currently am running a RH EL4 server at Rackspace with Plesk 7.5.4 Reloaded installed. Do you have any documentation or user experiences with how Zimba would work in this environment? Is it all or nothing, or can I just put a few domains on it? Can I use the open source version, or do I have to get the network version? Zimbra looks VERY promising, but I don't want to screw up my current server. Any advice or suggestions you could offer would be GREATLY appreciated.

    thx,
    Jason

  5. #5
    KevinH's Avatar
    KevinH is offline Expert Member
    Join Date
    Aug 2005
    Location
    San Mateo, CA
    Posts
    4,789
    Rep Power
    18

    Default

    Quote Originally Posted by jhiggins
    KevinH,
    I currently am running a RH EL4 server at Rackspace with Plesk 7.5.4 Reloaded installed. Do you have any documentation or user experiences with how Zimba would work in this environment? Is it all or nothing, or can I just put a few domains on it? Can I use the open source version, or do I have to get the network version? Zimbra looks VERY promising, but I don't want to screw up my current server. Any advice or suggestions you could offer would be GREATLY appreciated.

    thx,
    Jason
    It would work but you'd have to turn off the Plesk things that Zimbra replaces, web, mail, etc. It can be done but would require you to move some ports or disable some of the Plesk functionality.
    Looking for new beta users -> Co-Founder of Acompli. Previously worked at Zimbra (and Yahoo! & VMware) since 2005.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Ubuntu Packages
    By wasabi in forum Installation
    Replies: 8
    Last Post: 02-26-2007, 10:25 AM
  2. ZIMBRA!!!!! Error zmcontrol status and others
    By orison in forum Installation
    Replies: 8
    Last Post: 02-03-2007, 07:52 PM
  3. Installation Cancelled - Zimbra-spell !
    By Ledg in forum Installation
    Replies: 4
    Last Post: 10-19-2006, 02:54 AM
  4. Installation, Stability, Packages
    By ezajko in forum Installation
    Replies: 4
    Last Post: 12-14-2005, 08:41 AM
  5. Why can't we use distribution's packages?
    By lfarkas in forum Developers
    Replies: 1
    Last Post: 11-25-2005, 10:00 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •